#ifndef GAME_H
#define GAME_H

#include "client/input/Controller.h"
#include "common/entities/Entity.h"
#include "common/network/toclient/EntityUpdatePacket.h"

namespace Game {
    extern Controller controller;
    extern Entity player;

    bool init();

    void tick();
    void renderWorld();
    void renderOverlay();

    void onEntityUpdate(EntityUpdatePacket& p);
}

#endif